net.i2p.client.streaming.impl

## Class Connection.ResendPacketEvent

- java.lang.Object
- - net.i2p.util.SimpleTimer2.TimedEvent
  - - net.i2p.client.streaming.impl.Connection.ResendPacketEvent

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    Connection

      class Connection.ResendPacketEvent
      extends SimpleTimer2.TimedEvent

  This is not normally scheduled. It's now used only for fastRetransmit(), where it's scheduled with a delay of zero to put it on the timer queue. Timeout retransmissions are handled by RetransmitEvent above.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.util.SimpleTimer2.TimedEvent

      `_state, DEFAULT_FUZZ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResendPacketEvent(PacketLocal packet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `fastRetransmit()`
    `void` | `timeReached()` Simple interface for events to be queued up and notified on expiration the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

    - ### Methods inherited from class net.i2p.util.SimpleTimer2.TimedEvent

      `cancel, forceReschedule, reschedule, reschedule, run, schedule, setFuzz, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResendPacketEvent

          public ResendPacketEvent(PacketLocal packet)

  - ### Method Detail

    - #### fastRetransmit

          void fastRetransmit()

    - #### timeReached

          public void timeReached()

      Description copied from class: `SimpleTimer2.TimedEvent`
      Simple interface for events to be queued up and notified on expiration the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)
      Specified by:
        `timeReached` in class `SimpleTimer2.TimedEvent`